pkgCache::DescFileIterator Class Reference
Inheritance diagram for pkgCache::DescFileIterator:
[legend]
Collaboration diagram for pkgCache::DescFileIterator:
[legend]

## Public Member Functions

constexpr DescFile * | OwnerPointer () const noexcept
DescFileIterator & | operator++ ()
DescFileIterator | operator++ (int)
constexpr PkgFileIterator | File () const noexcept
constexpr | DescFileIterator (pkgCache &Owner, DescFile *Trg) noexcept
Public Member Functions inherited from pkgCache::Iterator< DescFile, DescFileIterator >
constexpr bool | end () const noexcept
constexpr bool | operator== (const DescFileIterator &B) const noexcept
constexpr bool | operator!= (const DescFileIterator &B) const noexcept
constexpr DescFile * | operator-> () noexcept
constexpr | operator DescFile * () noexcept
constexpr | operator DescFile const * () const noexcept
constexpr DescFile & | operator* () noexcept
constexpr pkgCache * | Cache () const noexcept
constexpr bool | IsGood () const noexcept
constexpr unsigned long | Index () const noexcept
constexpr map_pointer< DescFile > | MapPointer () const noexcept
void | ReMap (void const *const oldMap, void *const newMap)

## Additional Inherited Members

Public Types inherited from pkgCache::Iterator< DescFile, DescFileIterator >
using | iterator_category
using | value_type
using | difference_type
using | pointer
using | reference
Protected Attributes inherited from pkgCache::Iterator< DescFile, DescFileIterator >
DescFile * | S
pkgCache * | Owner

The documentation for this class was generated from the following file:

- apt-pkg/cacheiterators.h